Observability
List traces for a session
GET /v1/observability/sessions/{sessionId}/traces · SDK listObservabilitySessionTraces · CLI deployments trace session
GET
Requires observability:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
sessionId*stringLength
1 <= length <= 160cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100from?stringInclusive window start (RFC 3339).
Format
date-timeto?stringWindow end (RFC 3339).
Format
date-timestatus?stringLength
1 <= length <= 64agentDefinitionId?stringOnly traces whose root run executed a release of this agent definition.
Match
^[A-Za-z0-9._:-]+$Length
1 <= length <= 160agentDeploymentId?stringOnly traces whose root run executed this agent deployment.
Match
^[A-Za-z0-9._:-]+$Length
1 <= length <= 160agentReleaseId?stringOnly traces whose root run executed this agent release.
Match
^[A-Za-z0-9._:-]+$Length
1 <= length <= 160executionPurpose?stringOnly traces whose root run had this execution purpose.
Value in
"customer""evaluation""preview"errorClass?stringOnly errored traces with this error class.
Match
^[A-Za-z0-9._:-]+$Length
1 <= length <= 160x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ObservabilityTraceListResponse
application/json- response
items*array<>nextCursor?string|nullcurl -X GET "https://example.com/v1/observability/sessions/string/traces" \ -H "x-deployments-organization: string"{ "items": [ { "agent_definition_id": "string", "agent_deployment_id": "string", "agent_release_id": "string", "completed_at": "2019-08-24T14:15:22Z", "duration_ms": 0, "environment_id": "string", "error_class": "string", "execution_purpose": "string", "fact_id": "string", "finalized_at": "2019-08-24T14:15:22Z", "occurred_at": "2019-08-24T14:15:22Z", "project_id": "string", "release_selection": "string", "root_run_id": "string", "run_count": 0, "run_id": "string", "session_id": "string", "status": "string", "total_cost_usd_micros": 0, "total_tokens": 0, "trace_id": "string", "trigger": "string" } ], "nextCursor": "string"}